# For macro compatibility
%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}}

%global pipewire_version 0.2.6
%global geoclue_version 2.5.2

Name:    xdg-desktop-portal
Version: 1.4.2
%define subrel 1
Release: %mkrel 1
Summary: Portal frontend service to flatpak
Group:   System/Servers
License: LGPLv2+
URL:     https://github.com/flatpak/xdg-desktop-portal/
Source0: https://github.com/flatpak/xdg-desktop-portal/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch1:        0001-background_Do-not-spam-the-logs.patch

BuildRequires: pkgconfig(flatpak)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(fuse)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libgeoclue-2.0) >= %{geoclue_version}
BuildRequires: pkgconfig(libpipewire-0.2) >= %{pipewire_version}
BuildRequires: xmlto
BuildRequires: systemd
%{?systemd_requires}
Requires:      dbus
# Required version for icon validator.
Recommends:    flatpak >= 1.2.0
Requires:      geoclue >= %{geoclue_version}
Requires:      pipewire >= %{pipewire_version}
Requires:      fuse

%description
xdg-desktop-portal works by exposing a series of D-Bus interfaces known as
portals under a well-known name (org.freedesktop.portal.Desktop) and object
path (/org/freedesktop/portal/desktop). The portal interfaces include APIs for
file access, opening URIs, printing and others.

%package  devel
Summary:  Development files for %{name}
Group:    Development/Other
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The pkg-config file for %{name}.


%prep
%autosetup -p1


%build
%configure2_5x --enable-docbook-docs
%make_build


%install
%make_install
install -dm 755 %{buildroot}/%{_pkgdocdir}
install -pm 644 README.md %{buildroot}/%{_pkgdocdir}
# This directory is used by implementations such as xdg-desktop-portal-gtk.
install -dm 755 %{buildroot}/%{_datadir}/%{name}/portals

%find_lang %{name}


%post
%systemd_user_post %{name}.service
%systemd_user_post xdg-document-portal.service
%systemd_user_post xdg-permission-store.service


%preun
%systemd_user_preun %{name}.service
%systemd_user_preun xdg-document-portal.service
%systemd_user_preun xdg-permission-store.service


%files -f %{name}.lang
%doc %{_pkgdocdir}
%license COPYING
%{_datadir}/dbus-1/interfaces/org.freedesktop.portal.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.impl.portal.*.xml
%{_datadir}/dbus-1/services/org.freedesktop.portal.Desktop.service
%{_datadir}/dbus-1/services/org.freedesktop.portal.Documents.service
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.PermissionStore.service
%{_datadir}/%{name}
%{_libexecdir}/xdg-desktop-portal
%{_libexecdir}/xdg-document-portal
%{_libexecdir}/xdg-permission-store
%{_userunitdir}/%{name}.service
%{_userunitdir}/xdg-document-portal.service
%{_userunitdir}/xdg-permission-store.service

%files devel
%{_datadir}/pkgconfig/xdg-desktop-portal.pc



%changelog
* Wed Jan 27 2021 daviddavid <daviddavid> 1.4.2-1.1.mga7
+ Revision: 1673649
- backport upstream patch to don't spam the logs (mga#28224)

* Sat Jun 15 2019 ngompa <ngompa> 1.4.2-1.mga7
+ Revision: 1400067
- Rebase to 1.4.2

* Sat Oct 06 2018 tv <tv> 1.0.2-1.mga7
+ Revision: 1318181
- new release
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Feb 12 2018 ngompa <ngompa> 0.9-1.mga7
+ Revision: 1200573
- Update to 0.9

* Sun Apr 02 2017 ngompa <ngompa> 0.6-1.mga6
+ Revision: 1095713
- Update to 0.6

* Wed Dec 14 2016 ngompa <ngompa> 0.4-2.mga6
+ Revision: 1074879
- imported package xdg-desktop-portal


* Tue Dec 13 2016 Neal Gompa <ngompa13@gmail.com> - 0.4-2
- Port to Mageia

* Thu Dec 01 2016 David King <amigadave@amigadave.com> - 0.4-1
- Update to 0.4

* Fri Sep 02 2016 David King <amigadave@amigadave.com> - 0.3-1
- Update to 0.3

* Fri Jul 29 2016 David King <amigadave@amigadave.com> - 0.2-1
- Update to 0.2 (#1361575)

* Tue Jul 12 2016 David King <amigadave@amigadave.com> - 0.1-2
- Own the portals directory

* Mon Jul 11 2016 David King <amigadave@amigadave.com> - 0.1-1
- Initial Fedora packaging
